> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete payment

> Delete payment



## OpenAPI

````yaml oms_v1 delete /api-payment/cart/{cartId}/payment/{paymentId}
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-payment/cart/{cartId}/payment/{paymentId}:
    delete:
      tags:
        - Payments
      summary: Delete payment
      description: Delete payment
      operationId: deletePayment
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: cartId
          schema:
            type: string
            minLength: 24
            maxLength: 24
            example: 5f8f0da2d4cc8e00084b9e8e
          required: true
          description: Cart ID
        - in: path
          name: paymentId
          schema:
            type: string
            minLength: 24
            maxLength: 24
            example: 8e9f0da2d4cc8e11184b9e8e
          required: true
          description: Payment Id.
      responses:
        '200':
          description: Delete payment
          content:
            application/json:
              schema:
                allOf:
                  - allOf:
                      - type: object
                        required:
                          - billToAddress
                        properties:
                          billToAddress:
                            type: object
                            required:
                              - name
                              - phone
                              - email
                              - street1
                              - city
                              - state
                              - country
                              - zipCode
                            properties:
                              name:
                                type: object
                                required:
                                  - first
                                  - last
                                properties:
                                  first:
                                    type: string
                                    example: John
                                  last:
                                    type: string
                                    example: Smith
                              email:
                                type: string
                                format: email
                                minLength: 5
                                example: user1@gmail.com
                              phone:
                                type: object
                                properties:
                                  number:
                                    type: string
                                    example: '3334445555'
                                  kind:
                                    type: string
                                    example: Mobile
                              street1:
                                type: string
                                example: 1000 main street
                              street2:
                                type: string
                                example: 1000 main street
                              city:
                                type: string
                                example: Seattle
                              state:
                                type: string
                                example: WA
                              country:
                                type: string
                                example: US
                              zipCode:
                                type: string
                                example: '98101'
                      - type: object
                        properties:
                          _id:
                            type: string
                            example: 5fee9d59f2f08a1b3cbdea08
                          createdAt:
                            type: string
                            example: '2020-12-31T02:09:53.914Z'
                          updatedAt:
                            type: string
                            example: '2020-12-31T02:09:53.914Z'
                      - type: object
                        properties:
                          paymentDetails:
                            type: object
                            properties:
                              transactionDetails:
                                type: object
                                properties:
                                  paymentType:
                                    type: string
                                    enum:
                                      - CARD_STRIPE
                                      - CARD_ADYEN
                                      - CARD_AUTHORIZENET
                                    example: CARD_STRIPE
                                  paymentToken:
                                    type: string
                                    example: pi_1IyMGc2YBvYaVyBQNkOiCE3E
                              paymentStatus:
                                type: object
                                properties:
                                  cardHolderFullName:
                                    type: string
                                    example: First Last
                                  paymentMethod:
                                    type: string
                                    example: visa
                                  last4:
                                    type: string
                                    example: '4242'
                                  amountCapturable:
                                    type: number
                                    example: 99900
                                  status:
                                    type: string
                                    example: succeeded
                              amount:
                                type: number
                                example: 999
                              currency:
                                type: string
                                example: USD
                          version:
                            type: number
                            example: 0
                          cartId:
                            type: string
                            example: 60b90dd7308ded0008ee3c5d
                  - type: object
                    properties:
                      isValid:
                        type: boolean
                        example: false
                      __v:
                        type: number
                        example: 0
        '400':
          $ref: '#/components/responses/GenericClientError'
        '404':
          description: Delete payment (not found error)
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    description: The error code
                    type: string
                  message:
                    description: The error message
                    type: string
              examples:
                PaymentNotFound:
                  value:
                    code: PAYMENT_NOT_FOUND_ERROR
                    message: Payment Not Found
                CartNotFound:
                  value:
                    code: CART_NOT_FOUND
                    message: Cart not found.
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````